CallbackType (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.callback.CallbackType class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.callback
Class CallbackType

    java.lang.Object
      org.hyperic.util.callback.CallbackType

    public abstract class CallbackType

extends java.lang.Object

Field Summary
`static CallbackType` | `RETURN_LAST` RETURN_LAST is a callback type which invokes all listeners (or until one throws an exception) and returns the last value returned by the invoked method.

Constructor Summary
`CallbackType()`

Method Summary
`abstract java.lang.Object` | `callListeners(java.lang.reflect.Method meth, java.lang.Object[] methArgs, java.util.Set listeners)` This method is called by `CallbackDispatcher` to invoke listeners which are setup to be called back.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RETURN_LAST

    public static final CallbackType RETURN_LAST

  RETURN_LAST is a callback type which invokes all listeners (or until one throws an exception) and returns the last value returned by the invoked method. If no listeners are registered, a primitive value will be returned from the method.

Constructor Detail

### CallbackType

    public CallbackType()

Method Detail

### callListeners

    public abstract java.lang.Object callListeners(java.lang.reflect.Method meth,
                                                   java.lang.Object[] methArgs,
                                                   java.util.Set listeners)
                                            throws java.lang.Throwable

  This method is called by `CallbackDispatcher` to invoke listeners which are setup to be called back.

  Parameters:
    `meth` - Method to invoke
    `methArgs` - Arguments to the method
    `listeners` - Set of `Object` listeners which support an invocation of 'meth'.
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.